Quassel IRC - Bug #920

Segmentation fault
02/24/2010 07:15 PM - starslights

Status: Closed Start date: 02/24/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5.0 0S: Linux
Description

hello, i run kubuntu karmic 9.10 on x86 64 and Quassel have freeze and was not possible to do anything. When i cloded it , it do a
segfault.

Application that crashed: quassel

Version of the application: v0.5.2 (dist-42d7cf2)
KDE Version: 4.3.5 (KDE 4.3.5)

Qt Version: 4.5.2

Operating System: Linux 2.6.31-20-generic x86_64
Distribution: Ubuntu 9.10

What | was doing when the application crashed:
<Indiquez-nous en détails ce que vous faisiez lors du plantage de I'application.>

—— Backtrace:

Application: Quassel IRC (quassel), signal: Segmentation fault
The current source language is "auto; currently c".

[Current thread is 1 (Thread 0x7£50e19427f0 (LWP 32400))]

Thread 2 (Thread 0x7f50d0786910 (LWP 32402)):

#0 0x00007f50dbcceb3b in write () from /lib/libc.so.6

#1 0x00007f50dbc6e8c3 in I0_new_file_write (f=0x7f50dbf66860, data=0x7f50d077f990, n=36) at fileops.c:1275

#2 0x00007f50dbc6e79d in new_do_write (f=0x7f50dbf66860, data=<value optimized out>, n=36) at fileops.c:529

#3 10 _new_file_xsputn (f=0x7f50dbf66860, data=<value optimized out>, n=36) at fileops.c:1369

#4 0x00007f50dbc47241 in buffered_viprintf (s=0x7f50dbf66860, format=<value optimized out>, args=<value optimized out>) at
viprintf.c:2262

#5 0x00007f50dbc41fae in _IO_vifprintf_internal (s=0x7f50dbf66860, format=0x6185a4 "%s\n", ap=0x7f50d0782180) at
viprintf.c:1306

#6 0x00007f50dbcf2fcb in __fprintf_chk (fp=0x7f50dbf66860, flag=1, format=0x7f50d0786910 "\020ix\320P\177") at fprintf_chk.c:37
#7 0x0000000000506€58 in fprintf (type=QtWarningMsg, msg=0x7f50c8163898 "Received empty string from server! ") at
/usr/include/bits/stdio2.h:99

#8 Client::logMessage (type=QtWarningMsg, msg=0x7f50c8163898 "Received empty string from server! ") at
/build/buildd/quassel-0.5.2/src/client/client.cpp:530

#9 0x00007f50e138a80¢e in gt_message_output (msgType=QtWarningMsg, buf=0x7f50d077f990 "Received empty string from
server! \n") at global/qglobal.cpp:2007

#10 0x0000000000438093 in ~QDebug (this=0x7f50d07825f0, _in_chrg=<value optimized out>) at
/usr/include/qt4/QtCore/qdebug.h:83

#11 0x00000000005859d5 in IrcServerHandler::handleServerMsg (this=0x7f50c8106fe0, msg=) at
/build/buildd/quassel-0.5.2/src/core/ircserverhandler.cop:49

#12 0x0000000000577b86 in CoreNetwork::socketHasData (this=0x7f50c8108250) at
/build/buildd/quassel-0.5.2/src/core/corenetwork.cpp:298

#13 0x0000000000561d85 in CoreNetwork::qt_metacall (this=0x7f50c8108250, _c=QMetaObject::InvokeMetaMethod, _id=36,
_a=0x7f50d07828¢e0)

at /build/buildd/quassel-0.5.2/0bj-x86_64-linux-gnu/src/core/moc_corenetwork.cxx:226

#14 0x00007f50e148dddc in QMetaObject::activate (sender=0x7f50c8108338, from_signal_index=<value optimized out>,
to_signal_index=<value optimized out>, argv=0xffffffffffffffff)

at kernel/qobject.cpp:3113

#15 0x00007f50e0095f04 in QSslSocketBackendPrivate::transmit (this=0x7f50c8108480) at ssl/gsslsocket_openssl.cpp:668
#16 0x00007f50e009218e in QSsISocketBackendPrivate::disconnectFromHost (this=0x7f50c8108480) at
ssl/gssisocket_openssl.cpp:893

#17 0x00007f50e0090dec in QSslISocket::qt_metacall (this=0x7f50c8108338, _c=QMetaObject::InvokeMetaMethod, _id=<value
optimized out>, _a=0x7f50d0783bd0) at .moc/release-shared/moc_qsslsocket.cpp:108
#18 0x00007f50e1480e67 in QMetaMethod::invoke (this=0x7f50d0783e80, object=0x7f50c8108338, connectionType=<value
optimized out>, returnValue=..., valO=..., val1=..., val2=..., val3=..., vald=...,

vals=..., val6=..., val7=..., val8=..., val9=...) at kernel/gmetaobject.cpp:1522

#19 0x00007f50e 1481506 in QMetaObject::invokeMethod (obj=0x7f50c8108338, member=<value optimized out>, type=<value
optimized out>, ret=..., valO=..., val1=..., val2=..., val3=..., vald=...,

vals=..., val6=..., val7=..., val8=..., val9=...) at kernel/gqmetaobject.cpp:1114

#20 0x00007f50e0073ec4 in QMetaObject:.invokeMethod (this=0x2) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs.h:387
#21 QAbstractSocket::disconnectFromHost (this=0x2) at socket/qabstractsocket.cpp:2208

#22 0x00007f50e00952b4 in QSslSocketBackendPrivate::testConnection (this=0x7f50c8108480) at ssl/qsslsocket_openssl.cpp:884
#23 0x00007f50e0096829 in QSsISocketBackendPrivate::transmit (this=0x7f50c8108480) at ssl/qsslsocket_openssl.cpp:627
#24 0x00007f50e0090e9d in QSslSocket::qt_metacall (this=0x7f50c8108338, _c=QMetaObject::InvokeMetaMethod, _id=<value
optimized out>, _a=0x7f50d07856a0) at .moc/release-shared/moc_qsslisocket.cpp:114

#25 0x00007f50e148dddc in QMetaObject::activate (sender=0x7f50c819fd90, from_signal_index=<value optimized out>,
to_signal_index=<value optimized out>, argv=0xffffffffffffffff)

at kernel/qobject.cop:3113

#26 0x00007f50e0077d6f in QAbstractSocketPrivate::canReadNotification (this=0x7f50c81a0640) at socket/qabstractsocket.cpp:604
#27 0x00007f50e006cfc4 in QSocksb5SocketEnginePrivate:._q_emitPendingReadNotification (this=0x7f50c8163e90) at
socket/qsocks5socketengine.cpp:915

#28 0x00007f50e009db3d in QSocks5SocketEngine::qt_metacall (this=0x7f50c81bb070, _c=QMetaObject::InvokeMetaMethod,
_id=<value optimized out>, _a=0x7f50c8165f90)

at .moc/release-shared/moc_qsocks5socketengine _p.cpp:89

#29 0x00007f50e148801f9 in QObject::event (this=0x7f50c81bb070, e=0x7f50c8167fc0) at kernel/qobject.cop:1111

#30 0x00007f50e0493¢efc in QApplicationPrivate::notify _helper (this=0xb010b0, receiver=0x7f50c81bb070, e=0x7f50c8167fc0) at
kernel/qapplication.cpp:4056

#31 0x00007f50e049b1ce in QApplication::notify (this=0x7fff4f614980, receiver=0x7f50c81bb070, e=0x7f50c8167fc0) at
kernel/gapplication.cpp:4021

#32 0x00007f50dd20af46 in KApplication::notify (this=0x7fff4f614980, receiver=0x7f50c81bb070, event=0x7f50c8167fc0) at
../../kdeui/kernel/kapplication.cpp:302

#33 0x00007f50e1478c2c in QCoreApplication::notifyinternal (this=0x7fff4f614980, receiver=0x7f50c81bb070,
event=0x7f50c8167fc0) at kernel/qcoreapplication.cpp:610

#34 0x00007f50e147980a in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0xfb99a0) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213

#35 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0xfb99a0) at
kernel/qcoreapplication.cpp:1247

#36 0x00007f50e14a1533 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at
../../include/QtCore/../../src/corelib/kernel/gcoreapplication.h:218

#37 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210

#38 0x00007f50de126bce in g_main_dispatch (context=0x7f50c8000960) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:1960

#39 IA_g_main_context_dispatch (context=0x7f50c8000960) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2513

#40 0x00007f50de12a598 in g_main_context_iterate (context=0x7f50c8000960, block=<value optimized out>, dispatch=<value
optimized out>, self=<value optimized out>)

at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2591

#41 0x00007f50de12a6¢0 in IA__g_main_context_iteration (context=0x7f50c8000960, may_block=1) at
/build/buildd/glib2.0-2.22.3/glib/gmain.c:2654

#42 0x00007f50e14a11a6 in QEventDispatcherGlib::processEvents (this=0xc4ab60, flags=<value optimized out>) at
kernel/qgeventdispatcher_glib.cpp:327

#43 0x00007f50e1477532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#44 0x00007f50e1477904 in QEventLoop::exec (this=0x7f50d0785f90, flags=) at kernel/geventloop.cpp:201

#45 0x00007f50e138f6¢cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487

#46 0x0000000000547d43 in SessionThread::run (this=0xf18c60) at /build/buildd/quassel-0.5.2/src/core/sessionthread.cpp:104
#47 0x00007f50e1392445 in QThreadPrivate::start (arg=0xf18c60) at thread/qthread_unix.cpp:188

#48 0x00007f50e111ea04 in start_thread (arg=<value optimized out>) at pthread_create.c:300

#49 0x00007f50dbcdc80d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#50 0x0000000000000000 in ?7? ()

Thread 1 (Thread 0x7f50e19427f0 (LWP 32400)):

[KCrash Handler]

#12 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:259
#13 0x00007f50e13934fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0xb71e50,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87

#14 QWaitCondition::wait (this=<value optimized out>, mutex=0xb71e50, time=18446744073709551615) at
thread/qwaitcondition_unix.cpp:159

#15 0x00007f50e13924e4 in QThread::wait (this=<value optimized out>, time=18446744073709551615) at
thread/gthread_unix.cpp:484

#16 0x000000000054 7fef in ~SessionThread (this=0xf18¢60, __in_chrg=<value optimized out>) at
/build/buildd/quassel-0.5.2/src/core/sessionthread.cpp:41

#17 0x0000000000534f56 in gDeleteAll<QHash<Userld, SessionThread*>::const_iterator> (begin=..., end=...) at
/usr/include/qt4/QtCore/qalgorithms.h:350

#18 0x00000000005316a9 in ~Core (this=0xee9b60, __in_chrg=<value optimized out>) at

/build/buildd/quassel-0.5.2/src/core/core.cpp:210

#19 0x000000000052c0a6 in Core::destroy () at /build/buildd/quassel-0.5.2/src/core/core.cpp:76
#20 0x0000000000436¢b6 in ~MonolithicApplication (this=0x7fff4f614980, __in_chrg=<value optimized out>) at

/build/buildd/quassel-0.5.2/src/qtui/monoapplication.cpp:55

#21 0x00000000004365de in main (argc=1, argv=<value optimized out>) at /build/buildd/quassel-0.5.2/src/common/main.cpp:139

History

#1 - 03/04/2010 08:06 PM - johu

- Status changed from New to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#2 - 03/06/2010 01:36 PM - starslights
Hello Johu,

So far it don't crashed anymore but i doubt that is fixed while it was already 0.5.2.

| think that will need more time to give a better feedback
Best regards

John

#3 - 03/08/2010 06:05 PM - johu
- Status changed from Feedback to Closed

Files

quassel-20100224.kcrash 8.63 KB
